# SpongeLocales (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: SpongeLocales

Package co.aikar.commands

# Class SpongeLocales

java.lang.Object
co.aikar.commands.Locales
co.aikar.commands.SpongeLocales

public class SpongeLocales extends co.aikar.commands.Locales

## Field Summary

### Fields inherited from class co.aikar.commands.Locales

`AFRIKAANS, ARABIC, BULGARIAN, CHINESE, CZECH, DANISH, DUTCH, ENGLISH, FINNISH, FRENCH, GERMAN, GREEK, HEBREW, HINDI, HUNGARIAN, ITALIAN, JAPANESE, KOREAN, LATIN, NORWEGIAN_BOKMAAL, NORWEGIAN_NYNORSK, POLISH, PORTUGUESE, ROMANIAN, RUSSIAN, SIMPLIFIED_CHINESE, SPANISH, SWEDISH, THAI, TRADITIONAL_CHINESE, TURKISH, UKRANIAN, VIETNAMESE, WELSH`

## Constructor Summary

Constructors
Constructor
Description
`SpongeLocales(SpongeCommandManager manager)`

## Method Summary

Modifier and Type
Method
Description
`void`
`loadLanguages()`

### Methods inherited from class co.aikar.commands.Locales

`addBundleClassLoader, addMessage, addMessageBundle, addMessageBundle, addMessageBundles, addMessages, addMessageStrings, getDefaultLocale, getMessage, getOptionalMessage, loadMissingBundles, replaceI18NStrings, setDefaultLocale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpongeLocales

public SpongeLocales (SpongeCommandManager manager)

## Method Details

### loadLanguages

public void loadLanguages()

Overrides:
  `loadLanguages` in class `co.aikar.commands.Locales`